Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class ParentContextDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.ParentContextDefinitionParser

All Implemented Interfaces:
  MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  FilterDefinitionParser, InterceptorStackDefinitionParser, MessageProcessorChainDefinitionParser, MessageProcessorDefinitionParser, ResponseDefinitionParser, SecurityFilterDefinitionParser

    public class ParentContextDefinitionParser

extends AbstractParallelDelegatingDefinitionParser

This encapsulates several definition parsers, selected depending on the parent element in the DOM.

Field Summary

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE, NAME_ATTRIBUTE`

Constructor Summary
`ParentContextDefinitionParser(String context, MuleDefinitionParser parser)`

Method Summary
`MuleDefinitionParserConfiguration` | `addAlias(String alias, String propertyName)`
`MuleDefinitionParserConfiguration` | `addBeanFlag(String flag)`
`MuleDefinitionParserConfiguration` | `addCollection(String propertyName)`
`MuleDefinitionParserConfiguration` | `addIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, Map mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, String mappings)`
`MuleDefinitionParserConfiguration` | `addMapping(String propertyName, ValueMap mappings)`
`MuleDefinitionParserConfiguration` | `addReference(String propertyName)`
`ParentContextDefinitionParser` | `and(String context, MuleDefinitionParser parser)`
`protected MuleDefinitionParser` | `getDelegate(Element element, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected MuleDefinitionParser` | `getOtherwise()`
`ParentContextDefinitionParser` | `otherwise(MuleDefinitionParser otherwise)`
`MuleDefinitionParserConfiguration` | `registerPostProcessor(PostProcessor postProcessor)` These are appended to existing processors
`MuleDefinitionParserConfiguration` | `registerPreProcessor(PreProcessor preProcessor)` These are prepended to existing processors
`MuleDefinitionParserConfiguration` | `removeIgnored(String propertyName)`
`MuleDefinitionParserConfiguration` | `setIgnoredDefault(boolean ignoreAll)`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractParallelDelegatingDefinitionParser
`muleParse`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addDelegate, getBeanName, getDelegate, parseInternal, setDeprecationWarning, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Constructor Detail

### ParentContextDefinitionParser

    public ParentContextDefinitionParser(String context,
                                         MuleDefinitionParser parser)

Method Detail

### and

    public ParentContextDefinitionParser and(String context,
                                             MuleDefinitionParser parser)

### otherwise

    public ParentContextDefinitionParser otherwise(MuleDefinitionParser otherwise)

### getDelegate

    protected MuleDefinitionParser getDelegate(Element element,
                                               org.springframework.beans.factory.xml.ParserContext parserContext)

  Specified by:
    `getDelegate` in class `AbstractParallelDelegatingDefinitionParser`

### getOtherwise

    protected MuleDefinitionParser getOtherwise()

### addAlias

    public MuleDefinitionParserConfiguration addAlias(String alias,
                                                      String propertyName)

  Specified by:
    `addAlias` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addAlias` in class `AbstractDelegatingDefinitionParser`

### addBeanFlag

    public MuleDefinitionParserConfiguration addBeanFlag(String flag)

  Specified by:
    `addBeanFlag` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addBeanFlag` in class `AbstractDelegatingDefinitionParser`

### addCollection

    public MuleDefinitionParserConfiguration addCollection(String propertyName)

  Specified by:
    `addCollection` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addCollection` in class `AbstractDelegatingDefinitionParser`

### addIgnored

    public MuleDefinitionParserConfiguration addIgnored(String propertyName)

  Specified by:
    `addIgnored` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addIgnored` in class `AbstractDelegatingDefinitionParser`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        Map mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addMapping` in class `AbstractDelegatingDefinitionParser`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        String mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addMapping` in class `AbstractDelegatingDefinitionParser`

### addMapping

    public MuleDefinitionParserConfiguration addMapping(String propertyName,
                                                        ValueMap mappings)

  Specified by:
    `addMapping` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addMapping` in class `AbstractDelegatingDefinitionParser`

### addReference

    public MuleDefinitionParserConfiguration addReference(String propertyName)

  Specified by:
    `addReference` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `addReference` in class `AbstractDelegatingDefinitionParser`

### registerPostProcessor

    public MuleDefinitionParserConfiguration registerPostProcessor(PostProcessor postProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are appended to existing processors

  Specified by:
    `registerPostProcessor` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `registerPostProcessor` in class `AbstractDelegatingDefinitionParser`

### registerPreProcessor

    public MuleDefinitionParserConfiguration registerPreProcessor(PreProcessor preProcessor)

  Description copied from interface: `MuleDefinitionParserConfiguration`
  These are prepended to existing processors

  Specified by:
    `registerPreProcessor` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `registerPreProcessor` in class `AbstractDelegatingDefinitionParser`

### removeIgnored

    public MuleDefinitionParserConfiguration removeIgnored(String propertyName)

  Specified by:
    `removeIgnored` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `removeIgnored` in class `AbstractDelegatingDefinitionParser`

### setIgnoredDefault

    public MuleDefinitionParserConfiguration setIgnoredDefault(boolean ignoreAll)

  Specified by:
    `setIgnoredDefault` in interface `MuleDefinitionParserConfiguration`
  Overrides:
    `setIgnoredDefault` in class `AbstractDelegatingDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.